import { HttpRequest } from 'simple-http-request-builder';
import { FetchResponseHandler } from '../handler/FetchResponseHandlers';
import { HttpResponse } from './HttpResponse';
/**
 * Validate that the content-type header of the response is 'application/octet-stream'
 * @param response The {@link Response} to validate
 */
export declare const octetStreamTypeValidator: FetchResponseHandler;
/**
 * A {@link HttpClient} that executes an {@link HttpRequest} that returns an array buffer response.
 * It uses {@link fetchClient} to executes the {@link HttpRequest}, and then it uses the following handlers:
 * 1. {@link validateBasicStatusCodes}
 * 2. {@link octetStreamTypeValidator}
 * 3. {@link toArrayBufferResponse}
 */
export declare const fileFetchClient: (httpRequest: HttpRequest<unknown>) => Promise<HttpResponse<ArrayBuffer>>;
