/**
 * A {@link FetchResponseHandler} maker that verify the content type of a {@link Response}
 * using the `content-type` response HTTP header.
 *
 * See {@link jsonContentTypeValidator} for usage.
 *
 * @param response The {@link Response} to validate
 * @param searchContentType The content type to look for in `content-type` response HTTP header.
 * Note that the `jsonContentType` can be a partial type. For example if `searchContentType = 'json'`,
 * then a response with the header `application/vnd.myapp.type.v1+json` will be valid.
 */
export declare const validateContentType: (response: Response, searchContentType: string) => Promise<import("../client/HttpResponse").HttpResponse<unknown>> | undefined;
