type MonitoredObject = {
    promise: Promise<unknown>;
    promiseInfo?: object;
};
/**
 * This class enables to check what are the status of promises that are being executed.
 *
 * A use case is Server-Side-Rendering:
 * - After a first render
 * - It is interesting to watch the promises that are being executed
 * - And when all promises have revolved,
 * it is guessable that all the data are ready for the application to rerender again
 */
export declare class PromiseMonitor {
    private readonly runningPromises;
    constructor();
    monitor<T>(promise: Promise<T>, promiseInfo?: object): Promise<T>;
    getRunningPromises(): Promise<unknown>[];
    getRunningPromisesWithInfo(): [Promise<unknown>, MonitoredObject][];
    getRunningPromisesCount(): number;
}
export {};
