import { HttpPromise } from './HttpPromise';
/**
 * Use a {@link HttpPromise} loader to make sure there is only one execution at a time.
 * See {@link SynchronizedHttpPromise.load}.
 */
export declare class SynchronizedHttpPromise<T> {
    private readonly promiseLoader;
    private loadingPromise?;
    private loadingContext?;
    constructor(promiseLoader: () => HttpPromise<T>);
    /**
     * Tries to find and return the currently loading {@link HttpPromise} or creates and returns a new one.
     */
    load(): HttpPromise<T>;
    private clearLoading;
}
